﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;
using Business;
using Persistance;

namespace WpfApp1
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        public static IPersistanceManager strat { get; private set; }
            = new DataContractPersistance();
        public static IPersistanceManager stubtruc { get; set; }
            = new StubLib.Stub();
        public Manager LeManager { get; private set; } = new Manager(stubtruc);
        public ManagerUsers LeManagerUsers { get; private set; } = new ManagerUsers(stubtruc);

        public App()
        {
            var users = stubtruc.LoadUsers();
            var experts = stubtruc.LoadExperts();
            var requins = stubtruc.LoadRequins();
            var requinsAdd = stubtruc.LoadRequinsAdd();
            var requinsEdit = stubtruc.LoadRequinsEdit();
            strat.SaveUsers(users);
            strat.SaveExperts(experts);
            strat.SaveRequins(requins);
            strat.SaveRequinsAdd(requinsAdd);
            strat.SaveRequinsEdit(requinsEdit);
        }

        public void Temp()
        {
            var mw = MainWindow as MainWindow;
        }

        private void Application_Activated(object sender, EventArgs e)
        {
            /*
            LeManager.LoadRequins();
            LeManager.Pers = strat;
            LeManager.SaveRequins();

            LeManagerUsers.LoadUsers();
            LeManagerUsers.Pers = strat;
            LeManagerUsers.SaveUsers();
            */
        }
    }
}
